
@import url('https://fonts.googleapis.com/css2?family=Comfortaa:wght@200;300;400;500;600;700&display=swap');

:root {
    --primary: #FF416C;
    --secondary: #FF4B2B;
    --transition: .3s ease-in-out;
}

*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    position: relative;
    z-index: 3;
    line-height: 1.3;
}

*:hover,
*:focus-visible,
*:focus {
    outline: transparent;
}

::selection {
  color: #222;
  background-color: white;
  text-shadow: 0 0 0 var(--primary);
}

::-webkit-scrollbar {
    width: .5vw;
    height: .5vw;
    cursor: pointer;
}

::-webkit-scrollbar-track {
    background: #222;
}

::-webkit-scrollbar-thumb {
    background: var(--primary);
    transition: .3s ease-in-out;
}

::-webkit-scrollbar-thumb:hover {
    background: var(--secondary)
}

body,
html {
    padding:0px;
    margin:0px;
    font-family: Comfortaa;
    font-weight:bold;
    color: white;
    background: black;
    scroll-behavior: smooth;
    overflow-x: hidden;
    scroll-behavior: smooth;
    scrollbar-color: var(--primary) #222;
    scrollbar-width: thin;
    -webkit-overflow-scrolling: touch;
    width: 100%;
}

html.lenis,
html.lenis body {
    height: auto;
}

.lenis.lenis-smooth {
    scroll-behavior: auto !important;
}

.lenis.lenis-smooth [data-lenis-prevent] {
    overscroll-behavior: contain;
}

.lenis.lenis-stopped {
    overflow: hidden;
}

.lenis.lenis-smooth iframe {
    pointer-events: none;
}

body.static {
    position: fixed;
    overflow: hidden;
}

i::before {
    font-family: "Font Awesome 6 Pro";
}

h2 a {
    text-decoration: none;
    position: relative;
    padding-bottom: .5rem;
    font-weight: 500;
}

h2 a:before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 3px;
    border-radius: 5px;
    background-image: linear-gradient(to left, var(--primary) 0%, var(--secondary) 100%);
    -webkit-text-fill-color: transparent;
    background-size: 500% 500% !important;
    -webkit-animation: Gradient 20s ease infinite;
    -moz-animation: Gradient 20s ease infinite;
    -o-animation: Gradient 20s ease infinite;
    animation: Gradient 20s ease infinite;
    opacity: 0;
    transition: opacity var(--transition);
}

h2 a:hover:before,
h2 a:focus-visible:before {
    opacity: 1;
}

#loading {
    width: 100%;
    height: 100%;
    position: fixed;
    background: #000;
    z-index: 999;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

#loading .innerCircle {
    display: block;
    position: absolute;
    width: 2.5rem;
    height: 2.5rem;
    border: .25rem solid #eee;
    border-top: 7px solid transparent;
    border-radius: 2.5rem;
    animation: ccwSpin .555s linear .2s infinite
}

@keyframes ccwSpin {
    0% {
        transform:rotate(0deg)
    }
    100% {
        transform:rotate(-360deg)
    }
}

#loadSection {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #0c0c0c;
    clip-path: inset(0 100% 0 0);
    pointer-events: none;
    transition: .3s ease-in-out;
}

#loadSection.loading {
    animation: loading .9s ease-in-out forwards;
}

@keyframes loading {
    0% {
        clip-path: inset(0 100% 0 0)
    }
    25% {
        clip-path: inset(0 0 0 0)
    }
    50% {
        clip-path: inset(0 0 0 0)
    }
    100% {
        clip-path: inset(0 0 0 100%)
    }
}

.alert {
    position: fixed;
    top: 0;
    left: 0;
    width: 30%;
    background-image: linear-gradient(to right bottom, #161616, #111, #0E0E0E, #0D0D0D, #090909);
    padding: 1rem;
    margin: 1rem;
    border-radius: 1rem;
    transition: .3s ease-in-out;
    z-index: 10;
    overflow: hidden;
    box-shadow: 0 0 1rem #00000070;
    border: .1rem solid #2225;
}

.alert[data-timeTravelAlert] {
    z-index: 99991;
}

.alert.off {
    opacity: 0;
    pointer-events: none;
    transform: translateY(-110%);
}

.alert .timeBar {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: .25rem;
    color: var(--secondary);
    animation: Gradient 20s ease infinite;
}

.alert .actions {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 1rem;
    margin-bottom: .25rem;
}

.alert .actions a {
    width: 50%;
    padding: 0.75rem;
    background-color: transparent;
    border-radius: 0.75rem;
    color: white;
    border: .2rem solid white;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: background-color var(--transition),
    color var(--transition);
}

.alert .actions a:first-child {
    margin-right: 1rem;
}

.alert .actions a:hover,
.alert .actions a:focus-visible {
    background-color: white;
    color: black;
}

.alert .actions a .txt {
    margin-right: .5rem;
}

#main {
    height: 100vh;
    padding-bottom: 300vh;
    z-index: -1;
    position: relative;
}

#main .container {
    height: 300vh;
}

#main .container canvas {
    background: url(frames/0001.jpg);
    background-size: cover;
    background-position: center;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%) scale(1.3);
    height: 100%;
    width: 100%;
    object-fit: cover;
    transition: .6s ease-in-out;
}

#main .container canvas.off {
    display: none
}

#main .container::after {
    content: "";
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: hsl(0, 0%, 0%, .5);
}

#header {
    position: fixed;
    width: 100%;
    top: 25%;
    left: 0;
    text-align:center;
    transition:0.6s ease-in-out;
    transform: translateY(-50%);
    animation-delay: .75s;
}

#header div {
    display:block;
}

#title {
    font-size: 2rem;
    font-weight: bold;
    position: relative;
    color: var(--secondary);
    animation: Gradient 20s ease infinite;
    font-family: Comfortaa;
    filter: drop-shadow(0 0 .55rem black);
}

#links {
    transition:0.6s ease-in-out;
    margin-left: 2vh;
    margin-top: 5vh;
    color:#fff;
    filter: drop-shadow(0 0 .55rem black);
}

#links button {
    margin: 0px 30px;
    cursor: pointer;
    color:inherit;
    padding: 5px 8px;
    border: none;
    border-bottom: 2px solid transparent;
    font-size: 2rem;
    font-weight: 300;
    font-family: Comfortaa;
    background: none;
    outline: none;
    transition: border-color var(--transition);
}

#links button:hover,
#links button:focus-visible {
    border-color: #fff;
}

.skills a {
    color: inherit;
    text-decoration: none;
    transition: 0.4s ease-in-out;
    padding: 5px 5px 0 5px;
    border-bottom: 2px solid transparent;
    text-align: center;
    transition: border-color var(--transition);
}

.skills a:hover > img,
.skills a:hover > i,
.skills a:focus-visible > img,
.skills a:focus-visible > i {
    transform: translateY(-10px);
}

.skills a img,
.skills a i,
.skills a div {
    margin-bottom: .5rem;
    transition: transform var(--transition);
}

.skills a:hover,
.skills a:focus-visible {
    border-color: #fff;
}

#middle {
    position: fixed;
    z-index: 5;
    left: 0;
    top: 60%;
    transform: translateY(-50%);
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    user-select: none;
    transition: top var(--transition),
    opacity var(--transition);
}

#searching,
#googling {
    position: fixed;
    z-index: 5;
    left: 0;
    top: 60%;
    transform: translateY(-50%);
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    opacity: 0;
    padding: 0 5vw;
    line-height: 1.3;
    pointer-events: none;
    transition: top var(--transition),
    opacity var(--transition);
}

#scrollDown {
    position: fixed;
    z-index: 5;
    left: 0;
    top: 85%;
    transform: translateY(-50%);
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    padding: 0 5vw;
    line-height: 1.3;
}

#scrollDown .arrow {
    width: 60px;
    height: 60px;
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%)
}

#scrollDown .arrow path {
    opacity: 0;
    animation: arrow 2s infinite;
    animation-delay: .75s;
    transition: var(--transition);
}

@keyframes arrow {
    0% {
        opacity:0;
        transform:translateY(0)
    }
    80% {
        opacity:1;
        transform:translateY(30px)
    }
    100% {
        opacity:0;
        transform:translateY(30px)
    }
}

#tagline {
    width:100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
    line-height: 1.3;
    padding: 0 5vw;
    animation-delay: .75s;
    user-select: none;
}

#tagline .tagText,
#searching .tagText,
#googling .tagText {
    font-size: 2rem;
    font-weight: 300;
    text-align: center;
    user-select: none;
    filter: drop-shadow(0 0 .55rem black);
}

#portfolio {
    width: 100%;
    padding: 5vw;
    background-color: #0A0A0A;
    background-image: 
    linear-gradient(to bottom, #0A0A0A, transparent 15%),
    linear-gradient(to top, #0A0A0A, transparent 15%),
    url(assets/grid.png);
}

#portfolio section h1,
#portfolio section h2,
#portfolio section h2 a {
    font-size:40px;
    color: var(--secondary);
    animation: Gradient 20s ease infinite;
    margin-bottom: 1.5vw;
}

#portfolio section[id="work"] h2 {
    margin-bottom: 0;
}

#portfolio section[id="work"] h2 {
    font-size: 1.5rem;
}

#portfolio section[id="work"] button i {
    font-size: 1.75rem;
    color: var(--secondary);
    animation: Gradient 20s ease infinite;
}

#portfolio section h2,
#portfolio section h2 a {
    font-size: 25px;
}

#portfolio [id] {
    max-width: 1280px;
    margin-inline: auto !important;
}

lottie-player {
    left: 25%;
}

#skills h2 {
    /*display: none;*/
    font-size:25px !important;
    margin-left: 1ch !important;
}

#skills {
    width: 100%;
    transition:0.6s ease-in-out;
}

#work {
    margin:4vh 0px !important;
    padding:2vh 0px !important;
    transition:0.6s ease-in-out;
}

#about {
    transition:0.6s ease-in-out;
}

.profile {
    display: flex;
    justify-content:left;
    flex-direction: column;
    margin: 1vw 0;
}

.profile .imageProfile {
    width: 83px;
    height: 83px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 1000px;
}

.profile .imageProfile img {
    width: 75px;
    border-radius: 50%;
    border: .2rem solid currentColor;
    color: var(--secondary);
    animation: Gradient 20s ease infinite;
}

#contact {
    margin:2vh 0px !important;
    padding:2vh 0px !important;
    transition:0.6s ease-in-out;
}

#contact form {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

#contact form .leftSide {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 50%;
}

#contact form .leftSide input,
#contact form .leftSide textarea {
    width: 100%;
    background: transparent;
    border: none;
    border-bottom: .2rem solid rgba(255,255,255,0.5);
    padding: 1rem;
    font-family: Comfortaa;
    font-size: 1.5rem;
    transition: border-color var(--transition);
    color: #fff;
    margin-bottom: 1rem;
    resize: none;
}

#contact form .leftSide input:hover,
#contact form .leftSide input:focus-visible,
#contact form .leftSide textarea:hover,
#contact form .leftSide textarea:focus-visible {
    outline: none;
    border-color: rgba(255, 255, 255, 1);
}

#contact form .rightSide {
    width: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}

#contact form .rightSide lottie-player {
    width: 90%;
    display: flex;
    justify-content: center;
    align-items: center;
}

::placeholder {
    color: #fff;
}

.btn_one,
.form_send {
    color: white;
    padding: 1rem 1.5rem;
    border-radius: 10rem;
    border: .2rem solid #fff;
    font-size: 1.2rem;
    font-weight: bold;
    background-color: transparent;
    transition: background-color var(--transition),
    color var(--transition);
    margin: 2rem;
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    font-family: Comfortaa;
    cursor: pointer;
}

.btn_one div:first-child {
    font-size: 1.3rem;
}

.btn_one .counter {
    margin-left: 0.5rem;
}

.btn_one .counter::before {
    content: "";
    position: absolute;
    left: -0.075rem;
    top: 50%;
    background: white;
    width: 0.5rem;
    height: 0.5rem;
    transform: translateY(-50%) rotate(45deg);
    z-index: -1;
}

.form_send {
    margin: 1rem auto;
    font-size: 1.3rem;
}

.counter {
    margin-left: 3px;
    background: white;
    color: black;
    border-radius: 50px;
    text-align: center;
    transition: 0.4s ease-in-out;
    font-size: 10px;
    padding: 3px;
}

.fa-code {
    transition: color var(--transition);
    margin-left: .5rem;
    font-size: 1.5rem;
    color: #fff;
}

.btn_one:hover,
.btn_one:focus-visible,
.form_send:hover,
.form_send:focus-visible {
    background-color: white;
    color: #000;
}

.btn_one:hover .fa-code,
.btn_one:focus-visible .fa-code {
    color: black;
}

.projects {
    width: 100%;
    display: grid;
    grid-template-columns: 1fr;
    grid-gap: 1.5rem;
}

.project {
    width: 100%;
    display: flex;
    flex-direction: column;
    padding-left: 1.5em;
    overflow: hidden;
}

.project button {
    width: 100%;
    display: grid;
    grid-auto-flow: column;
    place-content: space-between;
    place-items: center;
    grid-template-columns: auto 1fr auto;
    grid-gap: 1.5rem;
    font-size: 1.75rem;
    background: none;
    border: none;
    font-family: comfortaa;
    color: white;
    cursor: pointer;
}

.project button h2 {
    margin: 0;
    font-size: 1.75rem;
}

.project button span {
    height: 1px;
    width: 100%;
    background: #333;
}

.project .details {
    max-height: 0;
    display: grid;
    grid-template-columns: 1fr .45fr;
    place-items: start;
    transition: max-height .5s ease-in-out;
}

.project button i {
    transition: transform .3s ease-in-out;
}

.project button.open i {
    transform: rotate(.5turn);
}

.project button.open ~ .details {
    max-height: 500px;
}

.project .details .info {
    margin-top: 1.5rem;
}

.project .details .info {
    width: 75%;
    border-radius: 1rem;
    color: white;
}

.project .details .info .des {
    position: relative;
    color: white;
    line-height: 1.75;
    font-size: 1.25rem;
    font-weight: normal;
}

.project .details .info .visitBtn {
    width: max-content;
    position: relative;
    display: grid;
    place-items: center;
    place-content: center;
    grid-auto-flow: column;
    grid-gap: .75rem;
    font-family: Comfortaa;
    font-size: 1.25rem;
    font-weight: bold;
    color: black;
    text-decoration: none;
    background: white;
    border-radius: 1rem;
    padding: 1rem 1.25rem;
    margin: 1.5rem 0;
    overflow: hidden;
}

.project .details .info .visitBtn::after {
    content: "";
    position: absolute;
    bottom: 0;
    right: 100%;
    height: .25rem;
    width: 100%;
    color: var(--secondary);
    animation: Gradient 20s ease infinite;
    transition: right var(--transition);
}

.project .details .info .visitBtn:hover::after,
.project .details .info .visitBtn:focus-visible::after {
    right: 0;
}

.project .details .image {
    display: flex;
    margin-top: 1.75rem;
    margin-right: .25rem;
}

.project .details .image img {
    width: 100%;
    aspect-ratio: 16/9;
    object-fit: cover;
    border-radius: 1rem;
    border: .2rem solid currentColor;
    color: var(--secondary);
    animation: Gradient 20s ease infinite;
}

.bio {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.bio .leftSide {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;
    width: 50%;
}

.bio .rightSide {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50%;
}

.bio .aboutPars {
    font-weight: 300;
    font-size: 1.25rem;
    margin-bottom: 1rem;
}

.bio .more.off {
    display: none;
    height: 1px;
}

.bio .moreBtn,
.bio .lessBtn {
    display: inline-flex;
    background: none;
    border: none;
    cursor: pointer;
    font-size: 1.1rem;
    font-size: bold;
    font-family: Comfortaa;
    color: var(--secondary);
    animation: Gradient 20s ease infinite;
}

.bio .moreBtn:before,
.bio .lessBtn:before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 1px;
    border-radius: 5px;
    color: var(--secondary);
    animation: Gradient 20s ease infinite;
    opacity: 0;
    transition: opacity var(--transition);
}

.bio .moreBtn:hover::before,
.bio .lessBtn:hover::before,
.bio .moreBtn:focus-visible::before,
.bio .lessBtn:focus-visible::before {
    opacity: 1;
}

.bio .moreBtn.off,
.bio .lessBtn.off {
    display: none
}

.links {
    display: flex;
    justify-content: center;
    align-items: center;
}

.links .btn_social {
    font-size: 1.25rem;
    margin: 1rem .25rem;
    border-radius: 50%;
    transition: 0.4s ease-in-out;
    width: 1rem;
    height: 1rem;
    padding: 1.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    cursor: pointer;
    color: var(--secondary);
    animation: Gradient 20s ease infinite;
}

@keyframes Gradient {
    0% {
        color: var(--secondary);
    }
    50% {
        color: var(--primary);
    }
    100% {
        color: var(--secondary);
    }
}

.links .btn_social::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 2px;
    border-radius: 1rem;
    color: var(--secondary);
    animation: Gradient 20s ease infinite;
    opacity: 0;
    transition: opacity var(--transition);
}

.links .btn_social:hover::before,
.links .btn_social:focus-visible::before {
    opacity: 1;
}

.skillsCon {
    display: flex;
    flex-wrap: wrap;
    justify-content: left;
    align-items: end;
    margin-bottom: 2rem;
}

.skills {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    flex-direction: column;
    margin: 1rem;
    width: 10rem;
}

.skills img {
    width: 75px;
    border-radius: 1rem;
}

.skills i {
    font-size: 65px;
}

.centered {
    width:100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.arrowTop {
    position: fixed;
    width: 100%;
    height: 100%;
    pointer-events: none;
    z-index: 10;
    opacity: 0;
    pointer-events: none;
}

.arrowTop button {
    font-size: 40px;
    animation: arrowTopAnimation 20s ease infinite;
    color: var(--secondary);
    opacity: .7;
    transition: opacity var(--transition);
    position: absolute;
    right: 1vw;
    bottom: 1vw;
    cursor: pointer;
    pointer-events: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    background: none;
    border: none;
    outline: none
}

@keyframes arrowTopAnimation {
    0% {
        color: var(--secondary)
    }
    50% {
        color: var(--primary)
    }
    100% {
        color: var(--secondary)
    }
}

.arrowTop button:hover,
.arrowTop button:focus-visible {
    opacity: 1;
}

.timeMachine {
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    bottom: 1rem;
    right: 1rem;
    z-index: 998;
    background: white;
    padding: 1rem;
    font-size: 1rem;
    font-family: Comfortaa;
    font-weight: bold;
    border: none;
    border-radius: 10rem;
    opacity: .6;
    cursor: pointer;
    color: black;
    transition: opacity var(--transition);
}

.timeMachine:hover,
.timeMachine:focus-visible {
    opacity: 1;
}

.timeMachine span {
    margin-right: .5rem;
}

.timeJumps {
    position: fixed;
    bottom: 1rem;
    right: 1rem;
    width: calc(50% - 20vw);
    height: calc(70% - 20vh);
    border: 1px solid #121212;
    background-image: linear-gradient(to right bottom, #161616, #111, #0E0E0E, #0D0D0D, #090909);
    border-radius: 1rem;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-direction: column;
    z-index: 9999;
    overflow-y: auto;
    scroll-behavior: smooth;
    scrollbar-color: var(--primary) #222;
    scrollbar-width: thin;
    -webkit-overflow-scrolling: touch;
}

.timeJumps .timeJumpsInfo {
    position: sticky;
    top: -1px;
    left: 0rem;
    width: 100%;
    border-radius: 0 0 1rem 1rem;
    border-bottom: 1px solid #121212ab;
    background: #161616;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem;
    z-index: 9999;
}

.timeJumps .timeJumpsInfo button {
    display: flex;
    justify-content: center;
    align-items: center;
    background: transparent;
    border: 0.1rem solid white;
    padding: 0.5rem;
    border-radius: .5rem;
    font-size: .75rem;
    font-family: Comfortaa;
    font-weight: bold;
    color: white;
    cursor: pointer;
}

.timeJumps .timeJumpsInfo button span {
    margin-right: .5rem;
}

.timeJumps .jump {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem;
    padding-bottom: 0;
}

.timeJumps .jump:last-child {
    padding-bottom: 1rem;
}

.timeJumps .jump .info {
    display: flex;
    justify-content: center;
    align-items: center;
}

.timeJumps .jump .info img {
    font-size: .5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    word-break: break-all;
    width: 6rem;
    border-radius: 0.5rem;
    margin-right: .5rem;
}

.timeJumps .jump .info .at {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;
    font-size: .75rem;
}

.timeJumps .jump button {
    display: flex;
    justify-content: center;
    align-items: center;
    background: transparent;
    border: 0.1rem solid white;
    padding: 0.5rem;
    border-radius: .5rem;
    font-size: .75rem;
    font-family: Comfortaa;
    font-weight: bold;
    color: white;
    cursor: pointer;
}

.timeJumps .jump button,
.timeMachineIframe .iframeInfo button,
.timeJumps .timeJumpsInfo button {
    transition: background var(--transition),
    color var(--transition);
}

.timeJumps .jump button:hover,
.timeJumps .jump button:focus-visible,
.timeMachineIframe .iframeInfo button:hover,
.timeMachineIframe .iframeInfo button:focus-visible,
.timeJumps .timeJumpsInfo button:hover,
.timeJumps .timeJumpsInfo button:focus-visible {
    background: white;
    color: black;
}

.timeJumps .jump button span {
    margin-right: .5rem;
}

.timeJumps .jump button span,
.timeJumps .jump button i {
    pointer-events: none;
}

.timeMachineIframe {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #0008;
    z-index: 9999;
}

.timeMachineIframe.off,
.timeJumps.off,
.timeMachine.off {
    opacity: 0;
    pointer-events: none;
}

.timeMachineIframe iframe {
    width: calc(100% - 20vw);
    height: calc(100% - 20vh);
    top: 0;
    left: 0;
    border-radius: 1rem 1rem 0 0;
    border: 1px solid #121212;
    background-image: linear-gradient(to right bottom, #161616, #111, #0E0E0E, #0D0D0D, #090909);
    margin-bottom: 4.1rem;
}

.timeMachineIframe .iframeInfo {
    position: absolute;
    bottom: calc(10vh - 2.1rem);
    left: 10vw;
    width: calc(100% - 20vw);
    padding: 1rem;
    border-top: 1px solid #121212ab;
    border-radius: 0 0 1rem 1rem;
    background-image: linear-gradient(to right bottom, #161616, #111, #0E0E0E, #0D0D0D, #090909);
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.timeMachineIframe .iframeInfo .fa-clock {
    margin-right: auto;
    margin-left: .5ch;
}


.timeMachineIframe .iframeInfo button {
    display: flex;
    justify-content: center;
    align-items: center;
    background: transparent;
    border: 0.1rem solid white;
    padding: 0.5rem;
    border-radius: .5rem;
    font-size: .75rem;
    font-family: Comfortaa;
    font-weight: bold;
    color: white;
    cursor: pointer;
}

.timeMachineIframe .iframeInfo button span {
    margin-right: .5rem;
}

#footer {
    width:100%;
    padding:10vh 0;
    padding-top: 5vh;
    text-align:center;
    font-weight:bold;
    background-color: #0A0A0A;
    transition:0.6s ease-in-out;
}

#footer .made {
    color: white;
    margin-bottom: 1rem;
}

#footer .call {
    font-size: 1.2rem;
    font-family: Comfortaa;
    color: var(--secondary);
    animation: Gradient 20s ease infinite;
    text-decoration: none;
    padding-bottom: 5px;
    position: relative;
    display: grid;
    grid-auto-flow: column;
    width: max-content;
    grid-gap: 1rem;
    margin-inline: auto;
    margin-bottom: 1rem;
}

#footer .jihadKurdo {
    font-size: 1.2rem;
    color: var(--secondary);
    animation: Gradient 20s ease infinite;
    font-family: Comfortaa;
    text-decoration:none;
    padding-bottom: 5px;
    position: relative;
}

#footer .jihadKurdo::before,
#footer .call::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 2px;
    border-radius: 5px;
    color: var(--secondary);
    animation: Gradient 20s ease infinite;
    opacity: 0;
    transition: opacity var(--transition);
}

#footer .jihadKurdo:hover::before,
#footer .jihadKurdo:focus-visible::before,
#footer .call:hover::before,
#footer .call:focus-visible::before {
    opacity: 1;
}

i {
    font-family: "Font Awesome 6 Free";
    font-style: unset;
}

i.fab::before {
    font-family: "Font Awesome 6 Brands";
}

.fa-copy,
.fa-magnifying-glass {
    font-weight: 350;
}

.rotate {
    position: fixed;
    height: 100%;
    width: 100%;
    background: #111;
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 999;
}

.rotate object {
    width: 50%;
    max-height: 25%;
    height: 50%;
    aspect-ratio: 1/1;
}

@media screen and (min-width: 550px) and (max-width: 950px) and (min-height: 320px) and (max-height: 450px) {

    body {
        position: fixed;
        overflow: hidden;
        margin: 0;
    }

    .rotate {
        display: flex;
    }

}

@media (max-width: 1300px) {

    .alert {
        width: 50%;
    }

    #contact form .leftSide,
    .bio .leftSide {
        width: 100%;
    }

    #contact form .rightSide,
    .bio .rightSide {
        display: none;
    }

    .skillsBtns {
        width: 100%;
    }

}

@media (max-width: 1000px) {

    .timeJumps {
        bottom: auto;
        top: 10vh;
        right: 10vw;
        width: calc(100% - 20vw);
        height: calc(100% - 20vh);
    }

    .timeJumps::before {
        content: "";
        position: fixed;
        width: 100%;
        height: 100%;
        left: 0;
        top: 0;
        background: #0005;
    }

}

@media (max-width: 600px) {

    #main {
        padding-bottom: 150vh;
    }

    #main .container {
        height: 150vh;
    }

    #about h1 {
        padding-top: 1rem;
    }

    .alert {
        width: auto;
    }

    #scrollDown {
        top: 85%
    }

    .btn_one,
    .form_send {
        font-size: 1rem;
        margin: 1.5rem;
        border: .15rem solid white;
        padding: 1rem;
    }

    .btn_one div:first-child {
        font-size: 1.1rem;
    }

    .fa-code {
        font-size: 1.3rem;
    }

    .arrowTop button {
        right: 1rem;
        bottom: 1rem
    }

    .timeMachine {
        aspect-ratio: 1/1;
        width: 3rem;
        height: 3rem;
    }

    .timeMachine span {
        display: none;
    }

    .timeMachine i {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%,-50%);
    }

    .timeMachineIframe {
        clip-path: inset(0 0 0 0);
        align-items: flex-start;
    }

    .timeMachineIframe.off {
        opacity: 1;
        clip-path: inset(0 0 0 100%);
    }

    .timeMachineIframe iframe {
        width: 100%;
        height: calc(100% - 4.2rem);
        border-radius: 0;
        border: none;
        outline: none;
    }

    .timeMachineIframe .iframeInfo {
      bottom: 0;
      left: 0;
      width: 100%;
      padding: 1rem;
      border-radius: 0;
    }

    .project h2 {
        margin: 1rem 0
    }

    #portfolio {
        padding: 1.5rem
    }

    #portfolio section h1,
    #portfolio section h2 {
        margin-bottom: 1rem
    }

    #skills h2 {
        margin-left: 1ch !important
    }

    .projects {
        grid-gap: .75rem;
    }

    .profile {
        margin: 1rem 0
    }

    .project {
        padding: 0;
    }

    #portfolio section[id="work"] h2 {
        font-size: 1.25rem;
    }

    .project button.open ~ .details {
        max-height: 1100px;
    }

    .project .details {
        grid-template-columns: 1fr;
    }

    .project .details .info {
        width: 100%;
        order: 2;
    }

    .project .details .info .des {
        font-size: 1.125rem;
        text-align: justify;
        text-align-last: center;
    }

    .project .details .image {
        margin: .25rem;
        margin-top: 1.75rem;
    }

    .skills {
        display: flex;
        justify-content: flex-end;
        align-items: center;
        flex-direction: column;
        margin: 10px;
        width: 25%
    }

    #middle {
        margin-top: 5%
    }

    #links {
        margin-top: 2rem;
        margin-left: 0
    }

    #links button {
        font-size: 1rem;
        padding: 0;
        margin: 0 1rem
    }

    #tagline {
        width:100%;
        padding: 0 3rem
    }

    #searching,
    #googling {
        width:100%;
        padding: 0 3rem
    }

    #tagline .tagText,
    #searching .tagText,
    #googling .tagText,
    #title {
        font-size: 1.5rem
    }

    #contact form input,
    #contact form textarea {
        width:100%
    }

    .btn_social {
        font-size: 1.2rem;
        margin: 1rem;
        padding: 1rem;
        width: 1rem;
        height: 1rem
    }

    #contact form .leftSide,
    .bio .leftSide {
        width: 100%;
    }

    #contact form .leftSide input,
    #contact form .leftSide textarea {
        font-size: 1.2rem;
    }

    #contact form .rightSide,
    .bio .rightSide {
        display: none;
    }

    .bio .moreBtn {
        display: inline-flex;
    }

    .project .details .info .visitBtn {
        width: 100%;
    } 

    .project .details .image::before {
        --_inset: -.2rem;
    }

}